import React, { Component } from 'react';
import logo from './logo.svg';
import './App.css';

import 'jquery';
import 'jquery-ui';

import "@infragistics/ignite-ui-full/en/js/infragistics.core.js"
import "@infragistics/ignite-ui-full/en/js/infragistics.lob.js"
import "@infragistics/ignite-ui-full/en/js/infragistics.dv.js"

import IgTextEditor from "igniteui-react/ui/igTextEditor.js";
import IgDataChart from "igniteui-react/ui/igDataChart.js";
import IgGrid from "igniteui-react/ui/igGrid.js";
import IgSparkline from "igniteui-react/ui/igSparkline.js";
import Graphic from './graphic';

class App extends Component {

    constructor(props) {
      super(props);
      this.state = { data: [
        // {x: 0, y: 8},
        {time: "1", value: 265.936},
        {time: "2", value: 273.743},
        {time: "3", value: 281.096},
        {time: "4", value: 285.758},
        {time: "5", value: 292.411},
        {time: "6", value: 298.677},
        {time: "7", value: 300.683},
        {time: "8", value: 306.467},
        {time: "9", value: 310.134},
        {time: "10", value: 315.368},
        {time: "11", value: 318.686},
        {time: "12", value: 323.421},
        {time: "13", value: 327.881},
        {time: "14", value: 330.709},
        {time: "15", value: 330.709},
        {time: "16", value: 330.709},
        {time: "17", value: 330.709},
        {time: "18", value: 330.709},
        {time: "19", value: 330.709}
      ], index:320}
    }
  


  addData(){
    console.log("addData");
    
      let data= this.state.data;
      let index= this.state.index+1;
      data.push({time:String(index),value:index});
      this.setState({data:data,index:index});
      let lastIndex = data.length - 1;
      this.refs.graphic.refs.chart.igControl.notifySetItem(data, lastIndex, data[lastIndex], data[lastIndex]);
  }
  render() {
    console.log(this.state.data);
    
    let data0 = [
      // {x: 0, y: 8},
      {x: 1, y: 5},
      {x: 2, y: 4},
      {x: 3, y: 9},
      {x: 4, y: 1},
      {x: 5, y: 7},
      {x: 6, y: 6},
      {x: 7, y: 3},
      {x: 8, y: 2},
      {x: 9, y: 0},
      {x: 10, y: 8},
      {x: 11, y: 15},
      {x: 12, y: 14},
      {x: 13, y: 19},
      {x: 14, y: 11},
      {x: 15, y: 17},
      {x: 16, y: 16},
      {x: 17, y: 13},
      {x: 18, y: 12},
      {x: 19, y: 10}
    ];

    // let data = [
    //   // {x: 0, y: 8},
    //   {time: "2018-09-04 10:28:48", value: 265.936},
    //   {time: "2018-09-04 10:28:48", value: 273.743},
    //   {time: "2018-09-04 10:28:49", value: 281.096},
    //   {time: "2018-09-04 10:28:49", value: 285.758},
    //   {time: "2018-09-04 10:28:50", value: 292.411},
    //   {time: "2018-09-04 10:28:50", value: 298.677},
    //   {time: "2018-09-04 10:28:51", value: 300.683},
    //   {time: "2018-09-04 10:28:51", value: 306.467},
    //   {time: "2018-09-04 10:28:52", value: 310.134},
    //   {time: "2018-09-04 10:28:52", value: 315.368},
    //   {time: "2018-09-04 10:28:53", value: 318.686},
    //   {time: "2018-09-04 10:28:53", value: 323.421},
    //   {time: "2018-09-04 10:28:54", value: 327.881},
    //   {time: "2018-09-04 10:28:54", value: 330.709},
    //   {time: "2018-09-04 10:28:55", value: 330.709},
    //   {time: "2018-09-04 10:28:55", value: 330.709},
    //   {time: "2018-09-04 10:28:56", value: 330.709},
    //   {time: "2018-09-04 10:28:56", value: 330.709},
    //   {time: "2018-09-04 10:28:57", value: 330.709}
    // ];
    // let data2 = data1.slice(3,9); 

    

    // let series= [
    //   {
    //       name: "data1",
    //       type: "spline",
    //       dataSource:data1,
    //       title: "data1",
    //       xAxis: "NameAxis",
    //       yAxis: "PopulationAxis1",
    //       valueMemberPath: "value",
    //       isTransitionInEnabled: true,
    //       isHighlightingEnabled: true,
    //       thickness: 1
    //    }
    //   ,
    //   {
    //       name: "data2",
    //       type: "spline",
    //       dataSource:data2,
    //       title: "1995",
    //       xAxis: "NameAxis",
    //       yAxis: "PopulationAxis2",
    //       valueMemberPath: "value",
    //       isTransitionInEnabled: true,
    //       isHighlightingEnabled: true,
    //       thickness: 5
    //   }
    //   ];
    // let axes= [
    //   {
    //       name: "NameAxis",
    //       type: "categoryX",
    //       label: "time",

    //       dataSource:data1
    //   },
    //   {
    //       name: "PopulationAxis1",
    //       type: "numericY",
    //       title: "Millions of People1",
    //   },
    //   {
    //     name: "PopulationAxis2",
    //     type: "numericY",
    //     title: "Millions of People2",
    //   }
    // ];

    let columns = [{
      // note: if primaryKey is set and data in primary column contains numbers,
      // then the dataType: "number" is required, otherwise, dataSource may misbehave
      headerText: "ID", key: "time", dataType: "string"
  },
  {
      headerText: "Value", key: "value", dataType: "number"
  }
  ];

  let features= [
    // {
    //     name: "Responsive",
    //     enableVerticalRendering: false,
    //     columnSettings: [
    //         {
    //             columnKey: "x",
    //             classes: "ui-hidden-tablet ui-hidden-phone"
    //         },
    //         {
    //             columnKey: "y",
    //             classes: "ui-hidden-phone"
    //         }
    //     ]
    // },
    {
        name: "Selection",
        mode: "row",
        multipleSelection: true
    },
    { name: "Resizing" },
    {
        name: "Filtering"
    }
];
    return (
      <div className="App">
        <button onClick={()=>this.addData()}>Add Data</button>
        <Graphic ref="graphic" data1={this.state.data}/>

      </div>
    );
  }
}

export default App;
